[CentOS] unstable libdg error when ./configure Perfparse on Nagios 2.x / CentOS 4.x

Rogelio scubacuda at gmail.com
Fri Nov 30 20:45:47 UTC 2007


I'm trying to ./compile Perfparse on my Nagios CentOS 4.x box, but am
having this error. (And am hoping someone here might point me in the
right direction)

"configure: error: required library libgd unusable."

Here is a history of my problems:

First, it ./configure 'd ok, but I couldn't "make && make install" due
to an error. I googled and found this FAQ on the the subject
(http://perfparse.de/tiki-view_faq.php?faqId=1)

*********************************************************
Q: When i try to compile, i get errors like:
perfparse-0.105.5/perfparse/storage.c:269: undefined reference to
`g_path_get_basename'
A: Try this:
cd perfparse
make
copy & paste the "/bin/sh ../libtool ...." line and add
"/opt/gnome/lib64/libglib-2.0.so" at the end. The path may vary. Try
to find the libglib-2.0.so. Then try again with "make".
*********************************************************

Not sure what happened, but it eventually was working, and later I got
past that error and got a "gdImage" error when I tried to "make &&
make install". (This too is on the FAQ page)

*********************************************************
"A: The gd library is probably not installed yet on your system. Or
you are missing the development package such as libgd-devel or
libgd-dev.

Install gd and try again."
*********************************************************

Not knowing what to do (gd-2.0.28-5.4E and gd-devel-2.0.28-5.4E were
installed), we  "yum removed" these packages (which destroyed Nagios,
and I had to reinstall and reconfigure that too), and ever since, I've
gotten that ""configure: error: required library libgd unusable" error
whenever I've tried to ./configure with the automake tools.

Any advice would be greatly appreciated!



More information about the CentOS mailing list